import java.io.PrintStream;
import java.util.Scanner;

/**
 * @author Georgiy Korneev (kgeorgiy@kgeorgiy.info)
 */
public class sol_gk_wa_overflow {
    private static Scanner in;
    private static PrintStream out;

    public static class Solution {
        public void run() {
            int n = in.nextInt();
            int m = in.nextInt();
            int c = in.nextInt();

            int best = n;
            int bestM = 0;
            int bestC = 0;

            for (int M = 0; M <= 2_000_000; M++) {
                int C = Math.max(0, (n - m * M) / c);
                if (best > Math.abs(m * M + c * C - n)) {
                    best = Math.abs(m * M + c * C - n);
                    bestM = M;
                    bestC = C;
                }
                C++;
                if (best > Math.abs(m * M + c * C - n)) {
                    best = Math.abs(m * M + c * C - n);
                    bestM = M;
                    bestC = C;
                }
            }
            out.println(bestM + " " + bestC);
        }
    }

    public static void main(String[] args) {
        in = new Scanner(System.in);
        out = System.out;

        new Solution().run();
    }
}
