rem   *** validation ***
call scripts\run-validator-tests.bat
call scripts\run-checker-tests.bat

rem    *** tests ***
md tests
call scripts\gen-input-via-stdout.bat "java.exe -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar files\GenRange.jar 2 1000" "tests\02" 2
call scripts\gen-input-via-stdout.bat "java.exe -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar files\GenRange.jar 1001 2000" "tests\03" 3
call scripts\gen-input-via-stdout.bat "java.exe -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar files\GenRandom.jar 1000 1000000" "tests\04" 4
call scripts\gen-input-via-stdout.bat "java.exe -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar files\GenRandom.jar 1000 1000000000" "tests\05" 5
call scripts\gen-input-via-stdout.bat "java.exe -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar files\GenRange.jar 1000000000 1000000999" "tests\06" 6
call scripts\gen-input-via-stdout.bat "java.exe -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar files\GenRandom.jar 1000 1000000000000000000" "tests\07" 7
call scripts\gen-input-via-stdout.bat "java.exe -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar files\GenRange.jar 999999999999999001 1000000000000000000" "tests\08" 8
call scripts\gen-input-via-stdout.bat "java.exe -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar files\GenRange.jar 1000000000000000000 999999999999999001" "tests\09" 9
call scripts\gen-input-via-stdout.bat "java.exe -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar files\GenTwoPrimes.jar 1000 1000000000000000000" "tests\10" 10
call scripts\gen-input-via-stdout.bat "java.exe -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar files\GenDistinctSmallPrimes.jar 1000 1000000000000000000 60" "tests\11" 11
call scripts\gen-input-via-stdout.bat "java.exe -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar files\GenDistinctSmallPrimes.jar 1000 1000000000000000000 80" "tests\12" 12
call scripts\gen-input-via-stdout.bat "java.exe -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar files\GenDistinctSmallPrimes.jar 1000 1000000000000000000 100" "tests\13" 13
call scripts\gen-answer.bat tests\01 tests\01.a "tests" ""
call scripts\gen-answer.bat tests\02 tests\02.a "tests" ""
call scripts\gen-answer.bat tests\03 tests\03.a "tests" ""
call scripts\gen-answer.bat tests\04 tests\04.a "tests" ""
call scripts\gen-answer.bat tests\05 tests\05.a "tests" ""
call scripts\gen-answer.bat tests\06 tests\06.a "tests" ""
call scripts\gen-answer.bat tests\07 tests\07.a "tests" ""
call scripts\gen-answer.bat tests\08 tests\08.a "tests" ""
call scripts\gen-answer.bat tests\09 tests\09.a "tests" ""
call scripts\gen-answer.bat tests\10 tests\10.a "tests" ""
call scripts\gen-answer.bat tests\11 tests\11.a "tests" ""
call scripts\gen-answer.bat tests\12 tests\12.a "tests" ""
call scripts\gen-answer.bat tests\13 tests\13.a "tests" ""

