#include <bits/stdc++.h>
#include "testlib.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);

vector<vector<pii>> shifts = {
	{{0, 0}, {0, 1}, {0, 2}, {1, 0}, {1, 2}, {2, 0}, {2, 1}, {2, 2}, {3, 2}, {4, 2}},
	{{0, 0}, {0, 1}, {0, 2}, {1, 0}, {2, 0}, {2, 1}, {3, 0}, {4, 0}}};

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int n = opt<int>("n");
	int m = opt<int>("m");
	int shape;
	if (has_opt("q")) {
		shape = 0;
	} else {
		shape = 1;
	}

	vector<vector<int>> field(n, vector<int>(m));
	
	int dx1 = opt<int>("x1");
	int dy1 = opt<int>("y1");
	int dx2 = opt<int>("x2");
	int dy2 = opt<int>("y2");

	for (int m1 = -1000; m1 <= 1000; ++m1) {
		for (int m2 = -1000; m2 <= 1000; ++m2) {
			int nx = dx1 * m1 + dx2 * m2;
			int ny = dy1 * m1 + dy2 * m2;
			if (0 <= nx && nx + 5 <= n && 0 <= ny && ny + 3 <= m) {
				for (auto [dx, dy] : shifts[shape]) {
					field[nx + dx][ny + dy] = 1;
				}
			}
		}
	}

	cout << n << " " << m << "\n";
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < m; ++j) {
			cout << ".#"[field[i][j]];
		}
		cout << "\n";
	}

	return 0;
}