import ru.ifmo.validate.ValidatingScanner;
import ru.ifmo.validate.Validator;
import ru.ifmo.validate.ValidatorFramework;

/**
 * @author Georgiy Korneev (kgeorgiy@kgeorgiy.info)
 */
public class Validate implements Validator {
    @Override
    public void validate(ValidatingScanner in) {
        in.nextInt("n", 1, 1000_000_000);
        in.eoln();
        in.nextInt("m", 500, 11299);
        in.eoln();
        in.nextInt("c", 169, 220);
    }

    public static void main(String[] args) throws Exception {
        ClassLoader.getSystemClassLoader().setDefaultAssertionStatus(true);
        ValidatorFramework.main(args);
    }
}
