#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

const int MAX_N = (int) 3e5;
const int MAX_K = (int) 3e5;
const int MAX_SUM = (int) 3e5;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);
    int n = inf.readInt(1, MAX_N, "n");
    inf.readSpace();
    int k = inf.readInt(1, MAX_K, "k");
    inf.readEoln();
    set <string> seen;
    long long sum_len = 0;
    for (int i = 0; i < n; i++) {
        string word = inf.readToken("[a-z]*", "file[" + to_string(i + 1) + "]");
        inf.readEoln();
        ensuref(!word.empty(), "Empty word");
        ensuref(seen.find(word) == seen.end(), "Duplicate word: %s", word.c_str());
        seen.insert(word);
        sum_len += word.size();
    }
    ensuref(sum_len <= MAX_SUM, "sum of length %lld > %d", sum_len, MAX_SUM);
    inf.readEof();
}