#include <bits/stdc++.h>
#include "testlib.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);

vector<pii> shifts_q = {{0, 0}, {0, 1}, {0, 2}, {1, 0}, {1, 2}, {2, 0}, {2, 1}, {2, 2}, {3, 2}, {4, 2}};
vector<pii> shifts_f = {{0, 0}, {0, 1}, {0, 2}, {1, 0}, {2, 0}, {2, 1}, {3, 0}, {4, 0}};

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int n = opt<int>("n");
	int m = opt<int>("m");

	vector<vector<int>> field(n, vector<int>(m));
	vector<pii> order;
	for (int i = 0; i + 5 <= n; ++i) {
		for (int j = 0; j + 3 <= m; ++j) {
			order.push_back({i, j});
		}
	}

	shuffle(order.begin(), order.end());

	for (auto [x, y] : order) {
		if (rnd.next(0, 1)) {
			bool ok = true;
			for (auto [dx, dy] : shifts_q) {
				if (field[x + dx][y + dy]) {
					ok = false;
					break;
				}
			}
			if (ok) {
				for (auto [dx, dy] : shifts_q) {
					field[x + dx][y + dy] = 1;
				}
			}
		} else {
			bool ok = true;
			for (auto [dx, dy] : shifts_f) {
				if (field[x + dx][y + dy]) {
					ok = false;
					break;
				}
			}
			if (ok) {
				for (auto [dx, dy] : shifts_f) {
					field[x + dx][y + dy] = 1;
				}
			}
		}
	}

	cout << n << " " << m << "\n";
	for (int i = 0; i < n; ++i) {
		for (int j = 0; j < m; ++j) {
			cout << ".#"[field[i][j]];
		}
		cout << "\n";
	}

	return 0;
}