#include <bits/stdc++.h>
#include "testlib.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);

vector<vector<pii>> shifts = {
	{{0, 0}, {0, 1}, {0, 2}, {1, 0}, {1, 2}, {2, 0}, {2, 1}, {2, 2}, {3, 2}, {4, 2}},
	{{0, 0}, {0, 1}, {0, 2}, {1, 0}, {2, 0}, {2, 1}, {3, 0}, {4, 0}}};

int main(int argc, char* argv[]) {
	registerValidation(argc, argv);

	int n = inf.readInt(5, 300, "n");
	inf.readSpace();
	int m = inf.readInt(3, 300, "m");
	inf.readEoln();
	vector<vector<char>> field;

	for (int i = 0; i < n; ++i) {
		string s = inf.readLine(format("[.#]{%d}", m), format("s_%d", i + 1));
		field.push_back(vector<char>(s.begin(), s.end()));
	}

	inf.readEof();

	for (int j = 0; j < m; ++j) {
		for (int i = 0; i < n; ++i) {
			if (field[i][j] == '#') {
				ensure(i + 5 <= n);
				int shape = field[i + 3][j] == '#' ? 1 : 0;
				bool ok = true;
				for (auto [dx, dy] : shifts[shape]) {
					int nx = i + dx, ny = j + dy;
					if (!(0 <= nx && nx < n && 0 <= ny && ny < m && field[nx][ny] == '#')) {
						ok = false;
						break;
					}
				}

				if (ok) {
					for (auto [dx, dy] : shifts[shape]) {
						field[i + dx][j + dy] = '.';
					}
				} else {
					for (int x = 0; x < n; ++x) {
						for (int y = 0; y < m; ++y) {
							cerr << field[x][y];
						}
						cerr << endl;
					}
					ensure(false);
				}
			}
		}
	}

	return 0;
}