#include "testlib.h"

int const MAXN = 300000;

int validateSingleTest() {
	int n = inf.readInt(1, MAXN, "n");
	inf.readEoln();
	for (int i = 0; i < n; i++) {
		inf.readInt(0, n - 1, "w[i]");
		inf.readSpace();
		inf.readInt(0, n - 1, "b[i]");
		inf.readEoln();
	}
	return n;
}

int main(int argc, char **argv) {
	registerValidation(argc, argv);
	int t = inf.readInt(1, MAXN, "t");
	inf.readEoln();
	int sumN = 0;
	for (int i = 0; i < t; i++) {
		setTestCase(i + 1);
		sumN += validateSingleTest();
		ensuref(sumN <= MAXN, "The sum of all 'n' in the input exceeds %d", MAXN);
	}
	inf.readEof();
}
